"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const fg = require("fast-glob");
const routes_1 = require("./template/routes");
const resolve_1 = require("./resolve");
function generateRoutes({ pages, importPrefix = '@/pages/', dynamicImport = true }) {
    const pagePaths = fg.sync('**/*.vue', {
        cwd: pages,
        onlyFiles: true
    });
    const metaList = resolve_1.resolveRoutePaths(pagePaths, importPrefix, file => {
        return fs.readFileSync(path.join(pages, file), 'utf8');
    });
    return routes_1.createRoutes(metaList, dynamicImport);
}
exports.generateRoutes = generateRoutes;
